## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JValueFactory

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JValueFactory

All Implemented Interfaces:
  org.opennms.netmgt.snmp.SnmpValueFactory

    public class Snmp4JValueFactory

extends java.lang.Object
implements org.opennms.netmgt.snmp.SnmpValueFactory

Constructor Summary
`Snmp4JValueFactory()`

Method Summary
`org.opennms.netmgt.snmp.SnmpValue` `getCounter32(long val)`
`org.opennms.netmgt.snmp.SnmpValue` `getCounter64(java.math.BigInteger bigInt)`
`org.opennms.netmgt.snmp.SnmpValue` `getGauge32(long val)`
`org.opennms.netmgt.snmp.SnmpValue` `getInt32(int val)`
`org.opennms.netmgt.snmp.SnmpValue` `getIpAddress(java.net.InetAddress val)`
`org.opennms.netmgt.snmp.SnmpValue` `getNull()`
`org.opennms.netmgt.snmp.SnmpValue` `getObjectId(org.opennms.netmgt.snmp.SnmpObjId objId)`
`org.opennms.netmgt.snmp.SnmpValue` `getOctetString(byte[] bytes)`
`org.opennms.netmgt.snmp.SnmpValue` `getOpaque(byte[] bs)`
`org.opennms.netmgt.snmp.SnmpValue` `getTimeTicks(long val)`
`org.opennms.netmgt.snmp.SnmpValue` `getValue(int type, byte[] bytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JValueFactory

    public Snmp4JValueFactory()

Method Detail

### getOctetString

    public org.opennms.netmgt.snmp.SnmpValue getOctetString(byte[] bytes)

  Specified by:
    `getOctetString` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getCounter32

    public org.opennms.netmgt.snmp.SnmpValue getCounter32(long val)

  Specified by:
    `getCounter32` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getCounter64

    public org.opennms.netmgt.snmp.SnmpValue getCounter64(java.math.BigInteger bigInt)

  Specified by:
    `getCounter64` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getGauge32

    public org.opennms.netmgt.snmp.SnmpValue getGauge32(long val)

  Specified by:
    `getGauge32` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getInt32

    public org.opennms.netmgt.snmp.SnmpValue getInt32(int val)

  Specified by:
    `getInt32` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getIpAddress

    public org.opennms.netmgt.snmp.SnmpValue getIpAddress(java.net.InetAddress val)

  Specified by:
    `getIpAddress` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getObjectId

    public org.opennms.netmgt.snmp.SnmpValue getObjectId(org.opennms.netmgt.snmp.SnmpObjId objId)

  Specified by:
    `getObjectId` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getTimeTicks

    public org.opennms.netmgt.snmp.SnmpValue getTimeTicks(long val)

  Specified by:
    `getTimeTicks` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getNull

    public org.opennms.netmgt.snmp.SnmpValue getNull()

  Specified by:
    `getNull` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getValue

    public org.opennms.netmgt.snmp.SnmpValue getValue(int type,
                                                      byte[] bytes)

  Specified by:
    `getValue` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

### getOpaque

    public org.opennms.netmgt.snmp.SnmpValue getOpaque(byte[] bs)

  Specified by:
    `getOpaque` in interface `org.opennms.netmgt.snmp.SnmpValueFactory`

Copyright © 2010. All Rights Reserved.